public class testAnimals {

    public static void moveAbout(Animal[] zoo) {
        for (int i = 0; i < zoo.length; i++) {
            Animal a = zoo[i];
            a.roam();
        }
    }

    public static void soundOff(Animal[] zoo) {
        for (int i = 0; i < zoo.length; i++) {
            Animal a = zoo[i];
            a.makeNoise();
        }
    }

    public static void goToSleep(Animal[] zoo) {
        for (int i = 0; i < zoo.length; i++) {
            Animal a = zoo[i];
            a.sleep();
        }
    }

    public static void main(String[] args) {

        Animal[] animals = new Animal[8];

        animals[0] = new Cat();
        animals[1] = new Dog();
        animals[2] = new Elephant();
        animals[3] = new Hippo();
        animals[4] = new Lion();
        animals[5] = new Rhino();
        animals[6] = new Tiger();
        animals[7] = new Wolf();

        moveAbout(animals);
        soundOff(animals);
        goToSleep(animals);

    }

}
